OpenAI gym: Trouble installing Atari dependency (Mac OS X)

openai gym tutorial
install openai gym
conda install gym
pip install gym(atari)
getting started with openai gym
openai gym continuous action space

I'm new to OpenAI gym. I've successfully installed OpenAI gym on my Mac OS X (High Sierra 10.13.3) laptop and made a DQN for the CartPole game. I'm trying to install the Atari dependency to use MsPacman. I tried:

$ pip install gym[atari]

And get that Atari is successfully installed (I see atari_py in the same directory as gym and atari within the gym directory). But when I run the code I get:

raise error.DependencyNotInstalled("{}. (HINT: you can install Atari dependencies by running 'pip install gym[atari]'.)".format(e))
gym.error.DependencyNotInstalled: No module named atari_py. (HINT: you can install Atari dependencies by running 'pip install gym[atari]'.)

If I add:

import atari_py

to the source file, I get:

  File "dqn.py", line 9, in <module>
    import atari_py
ImportError: No module named atari_py

Edit: as per the documentation, I also tried

pip install -e '.[atari]'

And I get:

Directory '.' is not installable. File 'setup.py' not found.

Any thoughts?


I had the same problem, this worked for me:

pip install 'gym[atari]'

Documentation, We currently support Linux and OS X running Python 3.5 -- 3.8 Windows support is git clone https://github.com/openai/gym.git cd gym pip install -e . remove pyopengl dependency and use more narrow atari-py and box2d-py versions The monitor will now raise an error if reset() is called when the env has not returned� Getting a strange output when using openAI gym render. by B2VSi Last Updated Trouble installing Atari dependency (Mac OS X) Updated April 20, 2018 18:26 PM. 1


From the OpenAI Gym docs you can try

pip install -e '.[atari]'

openai/gym: A toolkit for developing and comparing , I am trying to install Atari on my MacOS using the command pip install "gym[atari]" However, it fails throwing the below error. Could anyone give� I'm having issues installing OpenAI Gym Atari environment on Windows 10. I have successfully installed and used OpenAI Gym already on the same system. It keeps tripping up when trying to run a makefile.


On Mac OSX Catalina pip3 install 'gym[atari]' worked for me

Unable to install Atari on MacOS � Issue #999 � openai/gym � GitHub, OpenAI Gym is a toolkit for testing reinforcement learning algorithms. This post will give you a one-line command to install Gym on any… a few minutes to interactively install Gym and it's dependencies as seen below. the setup script, let me know via the comment section or preferably Github issues. Note: Trying to create Atari environments may result to vague errors related to missing DLL files and modules. This is an issue with atari-py package.See this discussion for more information. Stable Release To install with support for all algorithms, including those depending on OpenMPI, execute: pip install stable-baselines[mpi]


Simple Setup of OpenAI Gym on MacOS, It's simple: install cmake and zlib first, and then install gym and atari environment on macOS.. “Install OpenAI Gym with Atari on macOs” is published by XueGuang Lu. Connect X with DQN and PBT � Ondřej Nov�ček� atari-py supports Linux and Mac OS X with Python 3.5, 3.6, and 3.7. Binaries for those platforms are published to PyPI. We also have binaries for Windows, but compiling from source on Windows or using the binaries is not officially supported. Installation. To install via pip, run:


Install OpenAI Gym with Atari on macOs | by XueGuang Lu, The OpenAI Gym: A toolkit for developing and comparing your reinforcement Algorithmic; Atari; Board games; Box2d; Classic control; MuJoCo; Toy text On OSX: brew install cmake boost boost-python sdl2 swig wget. On Ubuntu 14.04: apt-get Alternatively, you can open setup.py and install the dependencies by hand. (1): Forked from previous version of OpenAI baselines, with now SAC and TD3 in addition (2): Currently not available for DDPG, and only from the run script. (3): Only via the run script. (4): Rudimentary logging of training information (no loss nor graph). (5): EDIT: you did it OpenAI! 🐱 (6): Passing a callback function is only available for DQN


gym 0.7.4, The OpenAI Gym: A toolkit for developing and comparing your reinforcement Algorithmic; Atari; Board games; Box2d; Classic control; MuJoCo; Toy text On OSX: brew install cmake boost boost-python sdl2 swig wget. On Ubuntu 14.04: If you'd like to install the dependencies for only specific environments, see setup. py� The Mac OS X backend will not be able to function correctly if Python is not installed as a framework. See the Python documentation for more information on installing Python as a framework on Mac OS X.